package envoy.client.event;

import java.util.List;

import envoy.data.User;
import envoy.event.Event;

/**
 * Project: <strong>envoy-client</strong><br>
 * File: <strong>SearchResultEvent.java</strong><br>
 * Created: <strong>08.02.2020</strong><br>
 * 
 * @author Maximilian K&auml;fer
 * @since Envoy v0.3-alpha
 */
public class SearchResultEvent implements Event<List<User>> {

	private final List<User> resultList;

	private static final long serialVersionUID = 2540321329192201277L;

	/**
	 * Initializes a {@link SearchResultEvent}
	 * 
	 * @param resultList the List containing the contacts sent from the server
	 * @since Envoy v0.3-alpha
	 */
	public SearchResultEvent(List<User> resultList) { this.resultList = resultList; }

	@Override
	public List<User> get() { return resultList; }
}
